package com.jz.dmp.modules.controller.DataIntegration.bean;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: RealTimeSyncListDto
 * @Description: 实时同步列表返回参数
 * @Author：Bellamy
 * @Date 2021/01/05
 * @Version 1.0
 */
@ApiModel(value = "实时同步列表返回参数", description = "实时同步列表返回参数")
public class RealTimeSyncListDto {

    /*
     * 实时同步任务ID
     * */
    @ApiModelProperty(value = "实时同步任务ID")
    private String id;

    /*
     * 业务树节点id
     * */
    @ApiModelProperty(value = "业务树节点id")
    private String treeId;

    /*
     * 业务树节点名称
     * */
    @ApiModelProperty(value = "业务树节点名称")
    private String treeName;

    /*
     * 实时同步任务状态
     * */
    @ApiModelProperty(value = "实时同步任务状态")
    private String status;

    /*
     * 更新时间
     * */
    @ApiModelProperty(value = "更新时间")
    private String updateTime;

    /*
     * 来源数据源id
     * */
    @ApiModelProperty(value = "来源数据源id")
    private String srcDatasourceId;

    /*
     * 来源数据源名称
     * */
    @ApiModelProperty(value = "来源数据源名称")
    private String srcDatasourceName;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "来源数据源类型")
    private String srcDatabaseType;

    /*
     * 目标数据源id
     * */
    @ApiModelProperty(value = "目标数据源id")
    private String targetDatasourceId;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "目标数据源名称")
    private String targetDatasourceName;

    /*
     * 目标数据源类型
     * */
    @ApiModelProperty(value = "目标数据源类型")
    private String targetDatabaseType;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getSrcDatasourceId() {
        return srcDatasourceId;
    }

    public void setSrcDatasourceId(String srcDatasourceId) {
        this.srcDatasourceId = srcDatasourceId;
    }

    public String getSrcDatasourceName() {
        return srcDatasourceName;
    }

    public void setSrcDatasourceName(String srcDatasourceName) {
        this.srcDatasourceName = srcDatasourceName;
    }

    public String getSrcDatabaseType() {
        return srcDatabaseType;
    }

    public void setSrcDatabaseType(String srcDatabaseType) {
        this.srcDatabaseType = srcDatabaseType;
    }

    public String getTargetDatasourceId() {
        return targetDatasourceId;
    }

    public void setTargetDatasourceId(String targetDatasourceId) {
        this.targetDatasourceId = targetDatasourceId;
    }

    public String getTargetDatasourceName() {
        return targetDatasourceName;
    }

    public void setTargetDatasourceName(String targetDatasourceName) {
        this.targetDatasourceName = targetDatasourceName;
    }

    public String getTargetDatabaseType() {
        return targetDatabaseType;
    }

    public void setTargetDatabaseType(String targetDatabaseType) {
        this.targetDatabaseType = targetDatabaseType;
    }
}
